Skip to content

Refresh listings in search

GET
/listings/reindex
curl --request GET \
--url 'https://acme.mykreezalid.com/api/v1/listings/reindex?scope=not_indexed&limit=999' \
--header 'Authorization: Basic <credentials>'

Your listings are refreshed in your marketplace search each time they are saved. Use this endpoint only to resynchronise the search with your listings when some of them are missing or outdated in the search results. It processes online listings (published and approved), the least recently refreshed first, at most limit per call: call it again until listingsReindexedCount reaches totalListingsToReindex.

scope
string
default: not_indexed

Example

all

not_indexed (default) to process only the listings changed since they were last refreshed, or any other value, such as all, to process every online listing.

limit
integer
default: 999 <= 999

Maximum number of listings to process in this call (at most 999).

What was processed

Media typeapplication/json
object
result
object
totalListingsToReindex

Number of listings in the scope

integer
listingsReindexedCount

Number of listings refreshed by this call

integer
duration

Processing time, in seconds

number

Example

{
"result": {
"totalListingsToReindex": 1200,
"listingsReindexedCount": 999,
"duration": 12.4
}
}

Missing or wrong API credentials